// 07_SDF_designs     designs of SDFs
// ....................................................
const SDF_designs = [];

SDF_designs[ 0 ] = `   // don't change this line
    
    vec3 pMouse;
    
    //... SDF ...
    
    distCol dcSphereA;
    pMouse = translateXYZ(p, mousePosition);
    dcSphereA.d = sdSphere( pMouse, 1.2);
    dcSphereA.c = vec4(1.0, 0.0, 0.0, 1.0);
    
    distCol dcSphereB;
    pMouse = translateXYZ(p, mousePosition + vec3(0.75));
    dcSphereB.d = sdSphere( pMouse, 1.1 );
    dcSphereB.c = vec4(1.0, 1.0, 0.0, 1.0);
    
    // apply to reserved dc
    dc = dcSphereA;
    dc = opSmoothUnion(dc, dcSphereB, 0.6 );

	return dc;
	
 `;  // don't change this line
 
///................................................................. 
 
export { SDF_designs } // don't change this line
